.i-checks input {
  opacity: 0;
}
.i-checks input:checked + i {
  border-color: #177bbb;
}
.i-checks input:checked + i:before {
  position: absolute;
  left: 0px;
  width: 100%;
  top: 2px;
  text-align: center;
  font-family: "FontAwesome";
  font-style: normal;
  font-weight: normal;
  color: #177bbb;
}
.i-checks input[type="radio"] + i {
  border-radius: 100%;
}
.i-checks input[type="checkbox"]:checked + i:before {
  content: "\f00c";
}
.i-checks input[type="radio"]:checked + i:before {
  content: "\f111";
}
.i-checks input[disabled] + i,
fieldset[disabled] .i-checks input + i {
  border-color: #dbe2e7;
}
.i-checks input[disabled] + i:before,
fieldset[disabled] .i-checks input + i:before {
  color: #cbd5dd;
}
.i-checks i {
  width: 18px;
  height: 18px;
  line-height: 1.2;
  border: 1px solid #cbd5dd;
  background-color: #fff;
  margin-left: -20px;
  margin-top: -2px;
  display: inline-block;
  vertical-align: middle;
  margin-right: 4px;
  position: relative;
  font-size: 12px;
}
.ie8 .i-checks i {
  display: none;
}
.m-xxs {
  margin: 2px 4px;
}
.m-xs {
  margin: 5px;
}
.m-sm {
  margin: 10px;
}
.m {
  margin: 15px;
}
.m-md {
  margin: 20px;
}
.m-lg {
  margin: 30px;
}
.m-xl {
  margin: 50px;
}
.m-n {
  margin: 0 !important;
}
.m-l-none {
  margin-left: 0 !important;
}
.m-l-xs {
  margin-left: 5px !important;
}
.m-l-sm {
  margin-left: 10px !important;
}
.m-l {
  margin-left: 15px !important;
}
.m-l-md {
  margin-left: 20px !important;
}
.m-l-lg {
  margin-left: 30px !important;
}
.m-l-xl {
  margin-left: 40px !important;
}
.m-l-n-xxs {
  margin-left: -1px !important;
}
.m-l-n-xs {
  margin-left: -5px !important;
}
.m-l-n-sm {
  margin-left: -10px !important;
}
.m-l-n {
  margin-left: -15px !important;
}
.m-l-n-md {
  margin-left: -20px !important;
}
.m-l-n-lg {
  margin-left: -30px !important;
}
.m-l-n-xl {
  margin-left: -40px !important;
}
.m-t-none {
  margin-top: 0 !important;
}
.m-t-xxs {
  margin-top: 1px !important;
}
.m-t-xs {
  margin-top: 5px !important;
}
.m-t-sm {
  margin-top: 10px !important;
}
.m-t {
  margin-top: 15px !important;
}
.m-t-md {
  margin-top: 20px !important;
}
.m-t-lg {
  margin-top: 30px !important;
}
.m-t-xl {
  margin-top: 40px !important;
}
.m-t-n-xxs {
  margin-top: -1px !important;
}
.m-t-n-xs {
  margin-top: -5px !important;
}
.m-t-n-sm {
  margin-top: -10px !important;
}
.m-t-n {
  margin-top: -15px !important;
}
.m-t-n-md {
  margin-top: -20px !important;
}
.m-t-n-lg {
  margin-top: -30px !important;
}
.m-t-n-xl {
  margin-top: -40px !important;
}
.m-r-none {
  margin-right: 0 !important;
}
.m-r-xxs {
  margin-right: 1px !important;
}
.m-r-xs {
  margin-right: 5px !important;
}
.m-r-sm {
  margin-right: 10px !important;
}
.m-r {
  margin-right: 15px !important;
}
.m-r-md {
  margin-right: 20px !important;
}
.m-r-lg {
  margin-right: 30px !important;
}
.m-r-xl {
  margin-right: 40px !important;
}
.m-r-n-xxs {
  margin-right: -1px !important;
}
.m-r-n-xs {
  margin-right: -5px !important;
}
.m-r-n-sm {
  margin-right: -10px !important;
}
.m-r-n {
  margin-right: -15px !important;
}
.m-r-n-md {
  margin-right: -20px !important;
}
.m-r-n-lg {
  margin-right: -30px !important;
}
.m-r-n-xl {
  margin-right: -40px !important;
}
.m-b-none {
  margin-bottom: 0 !important;
}
.m-b-xxs {
  margin-bottom: 1px !important;
}
.m-b-xs {
  margin-bottom: 5px !important;
}
.m-b-sm {
  margin-bottom: 10px !important;
}
.m-b {
  margin-bottom: 15px !important;
}
.m-b-md {
  margin-bottom: 20px !important;
}
.m-b-lg {
  margin-bottom: 30px !important;
}
.m-b-xl {
  margin-bottom: 40px !important;
}
.m-b-n-xxs {
  margin-bottom: -1px !important;
}
.m-b-n-xs {
  margin-bottom: -5px !important;
}
.m-b-n-sm {
  margin-bottom: -10px !important;
}
.m-b-n {
  margin-bottom: -15px !important;
}
.m-b-n-md {
  margin-bottom: -20px !important;
}
.m-b-n-lg {
  margin-bottom: -30px !important;
}
.m-b-n-xl {
  margin-bottom: -40px !important;
}


.pd-none{
  padding: 0px !important;
}
.pd-xxs{
  padding: 1px !important;
}
.pd-xs{
  padding: 5px !important;
}
.pd{
  padding: 15px !important;
}
.pd-sm{
  padding: 10px !important;
}
.pd-md{
  padding: 20px !important;
}
.pd-lg{
  padding: 30px !important;
}
.pd-xl{
  padding: 40px !important;
}

.b-none { border: 0px solid #fff !important; }

.b {
  border: 1px solid rgba(0,0,0,0.05);
}
.b-a {
  border: 1px solid #eaeef1;
}
.b-t {
  border-top: 1px solid #eaeef1;
}
.b-r {
  border-right: 1px solid #eaeef1;
}
.b-b {
  border-bottom: 1px solid #eaeef1;
}
.b-l {
  border-left: 1px solid #eaeef1;
}
.b-light {
  border-color: #e1e6ef;
}
.b-dark {
  border-color: #2c3342;
}
.b-primary {
  border-color: #1a8ad2;
}
.b-success {
  border-color: #1dc499;
}
.b-info {
  border-color: #21dee1;
}
.b-warning {
  border-color: #fccd4c;
}
.b-danger {
  border-color: #e64858;
}
.b-black {
  border-color: #1c1e29;
}
.b-white {
  border-color: #fff;
}
.b-dashed {
  border-style: dashed !important;
}
.b-2x {
  border-width: 2px;
}
.b-3x {
  border-width: 3px;
}
.b-4x {
  border-width: 4px;
}
.b-5x {
  border-width: 5px;
}
.r {
  border-radius: 2px 2px 2px 2px;
}
.r-l {
  border-radius: 2px 0 0 2px;
}
.r-r {
  border-radius: 0 2px 2px 0;
}
.r-t {
  border-radius: 2px 2px 0 0;
}
.r-b {
  border-radius: 0 0 2px 2px;
}
.clearfix{
  clear: both;
}

.g-recaptcha {
  transform-origin: left top;
  -webkit-transform-origin: left top;
}

.label-warning {
  background-color: #f0ad4e !important;
  border-color: #f0ad4e !important;
}
.label-warning[href]:hover,
.label-warning[href]:focus {
  background-color: #ec971f !important;
}

td.details-control {
    background: url('../images/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('../images/details_close.png') no-repeat center center;
}

.rowDetail tr td{
  padding: 10px !important;
}
.rowDetail tr td:nth-child(3n){
  font-weight: bold !important;
}

.myloader{
  position: absolute !important;
  width: 100% !important;
  height: 100% !important;
  z-index: 100999 !important;
  background: url(../images/loader-64x/Preloader_3.gif) center no-repeat rgba(255,255,255,0.9) !important;
}
.bg-dark{
  background: url(../images/backgrounds/bg-9.jpg) center no-repeat;
  background-size:cover;
}
.bg-surabaya{
  background: url(../images/backgrounds/bg-10.jpg) center no-repeat;
  /*background-size:cover;*/
  background-size: auto 200%;
}
.bg-404{
  background: url(../images/backgrounds/bg-8.jpg) center no-repeat;
  background-size:cover;
  /*background-size: auto 200%;*/
}
.layout-boxed{
  background: url(../images/backgrounds/bg-pattern-4.jpg) center repeat !important;
}


/* CUSTOM RADIO BUTTON */
.rb-container {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 12px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    float:left;
}
.rb-container:not(:first-child){
  margin-left:15px;
}
.rb-container input{
  position: absolute;
  opacity: 0;
  cursor: pointer;
}
/* Create a custom radio button */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 18px;
    width: 18px;
    border: solid 2px #455A64;
    border-radius: 50%;
}


/* When the radio button is checked, add a blue background */
input:checked ~ .checkmark {
    /*background-color: #2196F3;*/
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
input:checked ~ .checkmark:after {
    display: block;
}

/* Style the indicator (dot/circle) */
.checkmark:after {
  top: 3px;
  left: 3px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #455A64;
}